% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{bucks}
\alias{bucks}
\alias{print}
\title{Print a money object}
\usage{
bucks(
  x,
  symbol = "$",
  big.mark = ",",
  decimal.mark = ".",
  trim = TRUE,
  largest_with_cents = 1e+05,
  negative_parens = FALSE,
  ...
)
}
\arguments{
\item{x}{money object.}

\item{symbol}{Default prefix if not set.}

\item{big.mark}{option defaulting to ","}

\item{decimal.mark}{option defaulting to "."}

\item{trim}{option defaulting to TRUE}

\item{largest_with_cents}{option defaulting to 1e+05}

\item{negative_parens}{option defaulting to FALSE}

\item{...}{further arguments passed to or from other methods. also cat =F to return string}
}
\value{
\itemize{
\item invisible
}
}
\description{
Print function for "money" objects, e.g. \code{\link[=fin_interest]{fin_interest()}}.
}
\examples{
bucks(100 * 1.05^32)
fin_interest(deposits = 20e3, interest = 0.07, yrs = 20)

}
\seealso{
\itemize{
\item \code{\link[=fin_percent]{fin_percent()}}, \code{\link[=fin_interest]{fin_interest()}}, \code{\link[scales:label_dollar]{scales::dollar()}}
}
}
