% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{dl_from_dropbox}
\alias{dl_from_dropbox}
\title{dl_from_dropbox}
\usage{
dl_from_dropbox(x, key = NULL)
}
\arguments{
\item{x}{Either the file name, or full dropbox URL (see example below)}

\item{key}{the code after s/ and before the file name in the dropbox url}
}
\value{
None
}
\description{
Download a file from Dropbox, given either the url, or the name and key
}
\details{
Improvements would include error handling...
}
\examples{
\dontrun{
dl_from_dropbox("https://dl.dropboxusercontent.com/s/7kauod48r9cfhwc/tinytwinData.rda")
dl_from_dropbox("tinytwinData.rda", key = "7kauod48r9cfhwc")
}
}
\references{
- \url{https://thebiobucket.blogspot.kr/2013/04/download-files-from-dropbox.html}
}
\seealso{
Other File Functions: 
\code{\link{umx_file_load_pseudo}()},
\code{\link{umx_make_sql_from_excel}()},
\code{\link{umx_move_file}()},
\code{\link{umx_open}()},
\code{\link{umx_rename_file}()},
\code{\link{umx_write_to_clipboard}()},
\code{\link{umx}}
}
\concept{File Functions}
