% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fit_and_reporting.R
\name{print.RMSEA}
\alias{print.RMSEA}
\title{Print a RMSEA object}
\usage{
\method{print}{RMSEA}(x, ...)
}
\arguments{
\item{x}{RMSEA object.}

\item{...}{further arguments passed to or from other methods.}
}
\value{
\itemize{
\item invisible
}
}
\description{
Print method for "RMSEA" objects: e.g. \code{\link[=RMSEA]{RMSEA()}}.
}
\examples{
\dontrun{
data(demoOneFactor)
manifests = names(demoOneFactor)

m1 = umxRAM("One Factor", data = demoOneFactor, type= "cov",
	umxPath("G", to = manifests),
	umxPath(var = manifests),
	umxPath(var = "G", fixedAt = 1.0)
)
tmp = summary(m1)
RMSEA(tmp)
}

}
\seealso{
\itemize{
\item \code{\link[=RMSEA]{RMSEA()}}, \code{\link[=print]{print()}}
}
}
