% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{print.reliability}
\alias{print.reliability}
\title{Print a scale "reliability" object}
\usage{
\method{print}{reliability}(x, digits = 4, ...)
}
\arguments{
\item{x}{A \code{\link[=reliability]{reliability()}} result.}

\item{digits}{The rounding precision.}

\item{...}{further arguments passed to or from other methods}
}
\value{
\itemize{
\item invisible reliability object (x)
}
}
\description{
Print method for the \code{\link[=reliability]{reliability()}} function.
}
\examples{
# treat vehicle aspects as items of a test
data(mtcars)
reliability(cov(mtcars))
}
\seealso{
\itemize{
\item \code{\link[=print]{print()}}, \code{\link[=reliability]{reliability()}},
}
}
