% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_apply}
\alias{umx_apply}
\title{umx_apply}
\usage{
umx_apply(FUN, of, by = c("columns", "rows"), ...)
}
\arguments{
\item{FUN}{The function to apply.}

\item{of}{The dataframe to work with.}

\item{by}{Apply the function to columns or to rows (default = "columns")}

\item{...}{optional arguments to FUN, e.g., na.rm = TRUE.}
}
\value{
\itemize{
\item object
}
}
\description{
Tries to make apply more readable. so "mean of x by columns", instead of "of x, by 2, mean"
Other functions to think of include:
\code{\link[=cumsum]{cumsum()}}, \code{\link[=rowSums]{rowSums()}}, \code{\link[=colMeans]{colMeans()}}, etc.
}
\examples{
umx_apply(mean, mtcars, by = "columns")
umx_apply("mean", of = mtcars, by = "columns")
tmp = mtcars[1:3,]; tmp[1,1] = NA
umx_apply("mean", by = "rows", of = tmp)
umx_apply("mean", by = "rows", of = tmp, na.rm = TRUE)
}
\references{
\itemize{
\item \url{https://tbates.github.io},  \url{https://github.com/tbates/umx}
}
}
\seealso{
\itemize{
\item \code{\link[=umx_aggregate]{umx_aggregate()}}
}

Other Miscellaneous Stats Functions: 
\code{\link{FishersMethod}()},
\code{\link{SE_from_p}()},
\code{\link{geometric_mean}()},
\code{\link{harmonic_mean}()},
\code{\link{oddsratio}()},
\code{\link{reliability}()},
\code{\link{umxCov2cor}()},
\code{\link{umxHetCor}()},
\code{\link{umxWeightedAIC}()},
\code{\link{umx_cor}()},
\code{\link{umx_means}()},
\code{\link{umx_r_test}()},
\code{\link{umx_round}()},
\code{\link{umx_scale}()},
\code{\link{umx_var}()},
\code{\link{umx}}
}
\concept{Miscellaneous Stats Functions}
