% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_check_OS}
\alias{umx_check_OS}
\title{umx_check_OS}
\usage{
umx_check_OS(
  target = c("OSX", "SunOS", "Linux", "Windows"),
  action = c("ignore", "warn", "die")
)
}
\arguments{
\item{target}{Which OS(s) you wish to check for (default = "OSX")}

\item{action}{What to do on failure of the test: nothing (default), warn or die}
}
\value{
\itemize{
\item TRUE if on the specified OS (else FALSE)
}
}
\description{
Check what OS we are running on (current default is OS X). Returns a boolean.
Optionally warn or die on failure of the test
}
\examples{
umx_check_OS()
}
\references{
\itemize{
\item \url{https://github.com/tbates/umx}, \url{https://tbates.github.io}
}
}
\seealso{
Other Test: 
\code{\link{umx_check_model}()},
\code{\link{umx_check_names}()},
\code{\link{umx_check_parallel}()},
\code{\link{umx_check}()},
\code{\link{umx_has_CIs}()},
\code{\link{umx_has_been_run}()},
\code{\link{umx_has_means}()},
\code{\link{umx_has_square_brackets}()},
\code{\link{umx_is_MxData}()},
\code{\link{umx_is_MxMatrix}()},
\code{\link{umx_is_MxModel}()},
\code{\link{umx_is_RAM}()},
\code{\link{umx_is_cov}()}
}
\concept{Test}
