% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_find_object}
\alias{umx_find_object}
\title{umx_find_object}
\usage{
umx_find_object(pattern = ".*", requiredClass = "MxModel")
}
\arguments{
\item{pattern}{the pattern that matching objects must contain}

\item{requiredClass}{the class of object that will be matched}
}
\value{
- a list of objects matching the class and name
}
\description{
Find objects of a given class, whose name matches a search string.
The string (pattern) is grep-enabled, so you can match wild-cards
}
\examples{
\dontrun{
umx_find_object("^m[0-9]") # mxModels beginning "m1" etc.
umx_find_object("", "MxModel") # all MxModels
}
}
\references{
-
}
\seealso{
Other Miscellaneous Utility Functions: 
\code{\link{install.OpenMx}()},
\code{\link{libs}()},
\code{\link{qm}()},
\code{\link{umxLav2RAM}()},
\code{\link{umxModelNames}()},
\code{\link{umxRAM2Lav}()},
\code{\link{umxVersion}()},
\code{\link{umx_array_shift}()},
\code{\link{umx_lower.tri}()},
\code{\link{umx_msg}()},
\code{\link{umx_open_CRAN_page}()},
\code{\link{umx_pad}()},
\code{\link{umx_print}()},
\code{\link{umx}}
}
\concept{Miscellaneous Utility Functions}
