% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_get_checkpoint}
\alias{umx_get_checkpoint}
\title{Get or set checkpointing for a model}
\usage{
umx_get_checkpoint(model = NULL)
}
\arguments{
\item{model}{an optional model to get options from}
}
\value{
None
}
\description{
Get the checkpoint status for a model or global options
}
\examples{
\dontrun{
umx_get_checkpoint() # current global default
require(umx)
data(demoOneFactor)
manifests = names(demoOneFactor)
m1 = umxRAM("One Factor", data = demoOneFactor, type = "cov",
	umxPath("G", to = manifests),
	umxPath(var = manifests),
	umxPath(var = "G", fixedAt = 1)
)#' m1 = umx_set_checkpoint(interval = 2, model = m1)
umx_get_checkpoint(model = m1)
}

}
\references{
\itemize{
\item \url{https://tbates.github.io}
}
}
\seealso{
Other Get and set: 
\code{\link{umx_get_options}()},
\code{\link{umx_set_auto_plot}()},
\code{\link{umx_set_auto_run}()},
\code{\link{umx_set_checkpoint}()},
\code{\link{umx_set_condensed_slots}()},
\code{\link{umx_set_cores}()},
\code{\link{umx_set_data_variance_check}()},
\code{\link{umx_set_optimization_options}()},
\code{\link{umx_set_optimizer}()},
\code{\link{umx_set_plot_file_suffix}()},
\code{\link{umx_set_plot_format}()},
\code{\link{umx_set_plot_use_hrbrthemes}()},
\code{\link{umx_set_separator}()},
\code{\link{umx_set_silent}()},
\code{\link{umx_set_table_format}()},
\code{\link{umx}}
}
\concept{Get and set}
