% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_is_MxMatrix}
\alias{umx_is_MxMatrix}
\title{umx_is_MxMatrix}
\usage{
umx_is_MxMatrix(obj)
}
\arguments{
\item{obj}{an object to be tested to see if it is an OpenMx \code{\link[=mxMatrix]{mxMatrix()}}}
}
\value{
\itemize{
\item Boolean
}
}
\description{
Utility function returning a binary answer to the question "Is this an OpenMx mxMatrix?"
}
\examples{
x = mxMatrix(name = "eg", type = "Full", nrow = 3, ncol = 3, values = .3)
if(umx_is_MxMatrix(x)){
	message("nice OpenMx matrix!")
}
}
\references{
\itemize{
\item \url{https://github.com/tbates/umx}
}
}
\seealso{
Other Test: 
\code{\link{umx_check_OS}()},
\code{\link{umx_check_model}()},
\code{\link{umx_check_names}()},
\code{\link{umx_check_parallel}()},
\code{\link{umx_check}()},
\code{\link{umx_has_CIs}()},
\code{\link{umx_has_been_run}()},
\code{\link{umx_has_means}()},
\code{\link{umx_has_square_brackets}()},
\code{\link{umx_is_MxData}()},
\code{\link{umx_is_MxModel}()},
\code{\link{umx_is_RAM}()},
\code{\link{umx_is_cov}()}
}
\concept{Test}
