% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_stack}
\alias{umx_stack}
\title{Stack data like stack() does, with more control.}
\usage{
umx_stack(x, select, passalong, valuesName = "values", groupName = "ind")
}
\arguments{
\item{x}{a dataframe containing twin data.}

\item{select}{The variables to stack (wide 2 long)}

\item{passalong}{Variables to preserve on each row (e.g. age)}

\item{valuesName}{The name for the new stacked column (default = "values")}

\item{groupName}{The name for the column containing the grouping variable (default = "ind")}
}
\value{
\itemize{
\item long-format dataframe
}
}
\description{
Operates like \code{\link[=stack]{stack()}}, but can preserve ("passalong") other variables on each row,
and allows the user control over the values and group column names for ease of use.
}
\examples{

# Base-R stack function
df = stack(mtcars, select = c("disp", "hp"), drop=FALSE)

# umx_stack, with additional variables passed along 
df= umx_stack(mtcars, select= c("disp", "hp"), passalong= "mpg")
str(df) # ind is a factor, with levels select
ggplot2::qplot(x = mpg, y= values, color=ind, data = df)
}
\seealso{
\code{\link[=umx_wide2long]{umx_wide2long()}}

Other Data Functions: 
\code{\link{noNAs}()},
\code{\link{umxFactor}()},
\code{\link{umxHetCor}()},
\code{\link{umx_as_numeric}()},
\code{\link{umx_cont_2_quantiles}()},
\code{\link{umx_lower2full}()},
\code{\link{umx_make_MR_data}()},
\code{\link{umx_make_TwinData}()},
\code{\link{umx_make_fake_data}()},
\code{\link{umx_make_raw_from_cov}()},
\code{\link{umx_polychoric}()},
\code{\link{umx_polypairwise}()},
\code{\link{umx_polytriowise}()},
\code{\link{umx_read_lower}()},
\code{\link{umx_read_prolific_demog}()},
\code{\link{umx_rename}()},
\code{\link{umx_reorder}()},
\code{\link{umx_score_scale}()},
\code{\link{umx_select_valid}()},
\code{\link{umx}}
}
\concept{Data Functions}
