% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_wide2long}
\alias{umx_wide2long}
\title{Change data family data from wide (2 twins per row) to long format.}
\usage{
umx_wide2long(data, sep = "_T", verbose = FALSE)
}
\arguments{
\item{data}{a dataframe containing twin data.}

\item{sep}{the string between the var name and twin suffix, i.e., var_T1 = _T}

\item{verbose}{Report the non-twin and twin columns (default = FALSE).}
}
\value{
- long-format dataframe
}
\description{
Just detects the data columns for twin 1, and twin 2, then returns them stacked
on top of each other (rbind) with the non-twin specific columns copied for each as well.

*Note*, zygosity codings differ among labs. One scheme uses 1 = MZFF, 2 = MZMM, 3 = DZFF, 4 = DZMM, 
5 = DZOS or DZFM, 6 = DZMF, with 9 = unknown, and then 50, 51,... for siblings.

Typically, OS twins are ordered Female/Male.
}
\examples{
long = umx_wide2long(data = twinData, sep = "")
long = umx_wide2long(data = twinData, sep = "", verbose = TRUE)
str(long)
str(twinData)
}
\seealso{
[reshape()]

Other Twin Data functions: 
\code{\link{umx_long2wide}()},
\code{\link{umx_make_TwinData}()},
\code{\link{umx_make_twin_data_nice}()},
\code{\link{umx_residualize}()},
\code{\link{umx_scale_wide_twin_data}()},
\code{\link{umx}}
}
\concept{Twin Data functions}
